<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

	

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php dcInfo('lang'); ?>"
lang="<?php dcInfo('lang'); ?>">
<head>
	<meta http-equiv="Content-Type"
	content="text/html; charset=<?php dcInfo('encoding'); ?>" />
	<meta name="MSSmartTagsPreventParsing" content="TRUE" />
	<?php dcHeadLinks(); ?>
	<link rel="alternate" type="application/rss+xml" title="RSS" href="<?php dcInfo('rss'); ?>" />
	<link rel="alternate" type="application/xml" title="Atom" href="<?php dcInfo('atom'); ?>" />
	<meta name="DC.title" content="<?php dcInfo(); ?>" />
	<title><?php dcSinglePostTitle('%s - '); dcSingleCatTitle('%s - ');
	dcSingleMonthTitle('%s - '); dcCustomTitle('%s - '); dcInfo(); ?></title>
	<link rel="stylesheet" type="text/css" href="<?php dcInfo('theme'); ?>/style.css" media="screen" />
	<?php dcPostTrackbackAutoDiscovery(); ?>

	<script type="text/javascript" src="<?php dcInfo('theme'); ?>/js/prototype.js?id=javascript%3Aeffets_de_transition&amp;cache=cache"></script>
	<script type="text/javascript" src="<?php dcInfo('theme'); ?>/js/effects.js?id=javascript%3Aeffets_de_transition&amp;cache=cache"></script>
	<script src="<?php dcInfo('theme'); ?>/js/lib.sliderMenu.js" type="text/javascript"></script>
	
</head>

<body>
 
<div id="page">
  
	<div id="top">
		<h1><a href="<?php dcInfo('url'); ?>"><?php dcInfo(); ?></a></h1>
	</div>


  <div id="main">

	<div id="menu">
		<?php include dirname(__FILE__).'/menu.php'; ?>
	</div>
	
	<div id="sliderButton">menu</div>
	<script type="text/javascript" charset="utf-8">
	// Initialize sliderMenu with the menu and the sliderbutton
	var mySliderMenu = new SliderMenu("menu","sliderButton",{duration:1.8,
				afterSlideDown:function() {$("sliderButton").innerHTML = "<bold>menu</bold>";},
				afterSlideUp:function() {$("sliderButton").innerHTML = "<bold>menu</bold>";}});
	// Show the sliderbutton
	$("sliderButton").style.display = "block";
	</script>


    <div id="content">
		<?php if ($err_msg != '') : /* Si on a une quelconque erreur, on l'affiche */?>
			<div class="error"><strong>Erreur : </strong>
			<?php echo $err_msg; ?></div>
		
		<?php elseif (is_callable(array('dcRelatedPages','relatedMode')) && dcRelatedPages::relatedMode()) : ?>
		<?php dcRelatedPages::includeFile(); ?>

		<?php elseif ($preview) : /* Si on demande la prvisualisation d'un commentaire */?>
		<div class="comments">
			<h2>Commentaire pour <?php dcPostTitle(); ?></h2>
			<div id="comment-preview">
				<blockquote>
				<?php dcCommentPreview(); ?>
				</blockquote>
			</div>
		</div>
		<div class="commentsform">
			<h2>Changer le commentaire</h2>
			<?php include dirname(__FILE__).'/form.php'; ?>
		</div>	
		<?php elseif ($mode != 'post') : /* Si aucune erreur et mode != post on affiche une liste de billets */?>
			<?php # Phrase affich en cas de recherche (%s est le mot cherch)
			dcSearchString('<p class="error">R&eacute;sultats de votre recherche de <em>%s</em>.</p>');
			?>
			
			<?php include dirname(__FILE__).'/list.php'; ?>
			
		<?php else : /* Sinon, mode = post, donc billet unique (avec commentaires et tout le reste)*/?>
			<?php include dirname(__FILE__).'/post.php'; ?>
		<?php endif; ?>	
		
		
    </div>
    
  <div id="footer"><br>
	Propuls&eacute; par <a href="http://www.dotclear.net">Dotclear</a> & design&eacute; par <a href="http://www.as-i-am.fr">annso</a>
  </div>

</div>


</body>
</html>
